# tests partially enabled
# 'npm run lint' has as circular dependency problem
# depends on: jshint->htmlparser2->jshint
%global enable_tests 1
%global srcname htmlparser2

Name:           nodejs-%{srcname}
Version:        3.8.3
Release:        5%{?dist}
Summary:        Fast & forgiving HTML/XML/RSS parser
License:        MIT
URL:            https://github.com/fb55/htmlparser2
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(domhandler)
BuildRequires:  npm(entities)
BuildRequires:  npm(domutils)
%endif


%description
%{summary}.


%prep
%setup -q -n package

%nodejs_fixdep entities '~1.0'
%nodejs_fixdep readable-stream ^2.0


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json lib/ %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha
# lint depends on jshint
#mocha && npm run lint
%endif


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jul 24 2015 Piotr Popieluch <piotr1212@gmail.com> - 3.8.3-3
- Move fixdep from %%install to %%prep

* Thu Jul 23 2015 Parag Nemade <pnemade AT fedoraproject DOT org> - 3.8.3-2
- fixdep npm(readable-stream)

* Sat Jul 18 2015 Piotr Popieluch <piotr1212@gmail.com> - 3.8.3-1
- Update to 3.8.3

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Nov 23 2014 Piotr Popieluch <piotr1212@gmail.com> - 3.8.2-1
- Initial package
